import { RemovalPolicy } from 'aws-cdk-lib';
import { IVpc, SubnetSelection } from 'aws-cdk-lib/aws-ec2';
import { Construct } from 'constructs';
import { ITemporalDatastore, TemporalCluster } from '../..';
export interface ITemporalDatabaseProps {
    readonly temporalCluster: TemporalCluster;
    readonly datastore: ITemporalDatastore;
    readonly vpc: IVpc;
    readonly vpcSubnets?: SubnetSelection;
    readonly databaseName: string;
    readonly schemaType: 'main' | 'visibility';
    readonly removalPolicy?: RemovalPolicy;
}
export declare class TemporalDatabase extends Construct {
    readonly datastore: ITemporalDatastore;
    readonly databaseName: string;
    readonly schemaType: 'main' | 'visibility';
    constructor(scope: Construct, id: string, props: ITemporalDatabaseProps);
}
